Unlink resource
Unlink one or multiple resources from a view:
- Unlink flags using flag keys
- Unlink segments using segment IDs
- Unlink AI configs using config keys
Authorizations
Headers
Version of the endpoint.
beta Path Parameters
flags, segments, aiConfigs Body
The resource to link to the view. Flags are identified by key. Segments are identified by segment ID.
- ViewLinkRequestKeys
- ViewLinkRequestSegmentIdentifiers
- ViewLinkRequestFilter
Keys of the resources (flags, segments) to link/unlink
Optional filter string to determine which resources should be linked. Resources only need to match either the filter or explicitly-listed keys to be linked (union). Uses the same syntax as list endpoints: flags use comma-separated field:value filters, segments use queryfilter syntax.
Supported filters by resource type:
- flags: query, tags, maintainerId, maintainerTeamKey, type, status, state, staleState, sdkAvailability, targeting, hasExperiment, hasDataExport, evaluated, creationDate, contextKindTargeted, contextKindsEvaluated, filterEnv, segmentTargeted, codeReferences.min, codeReferences.max, excludeSettings, releasePipeline, applicationEvaluated, purpose, guardedRollout, view, key, name, archived, followerId
- segments (queryfilter): query, tags, keys, excludedKeys, unbounded, external, view, type Some filters are only available when the corresponding feature is enabled on your account.
"maintainerId:507f1f77bcf86cd799439011,tags:backend+beta"
Optional comment for the link/unlink operation